<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~ Copyright (c) 2022 Oneo GmbH (ConfigSeeder, https://configseeder.com/) and others.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~ http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>

  <parent>
    <groupId>com.configseeder.client</groupId>
    <artifactId>configseeder-clients</artifactId>
    <version>2.27.0-SNAPSHOT</version>
  </parent>

  <artifactId>configseeder-client-core</artifactId>
  <packaging>jar</packaging>

  <description>Config Seeder Java Core Client</description>

  <properties>
  </properties>

  <dependencies>
    <dependency>
      <groupId>com.configseeder.common</groupId>
      <artifactId>configseeder-common</artifactId>
    </dependency>
    <dependency>
      <groupId>com.configseeder.common</groupId>
      <artifactId>configseeder-utils</artifactId>
    </dependency>

    <dependency>
      <groupId>com.eclipsesource.minimal-json</groupId>
      <artifactId>minimal-json</artifactId>
    </dependency>

    <dependency>
      <groupId>org.slf4j</groupId>
      <artifactId>slf4j-api</artifactId>
      <scope>provided</scope>
      <optional>true</optional>
    </dependency>
    <dependency>
      <groupId>org.slf4j</groupId>
      <artifactId>slf4j-simple</artifactId>
      <scope>test</scope>
    </dependency>
  </dependencies>

  <build>
    <resources>
      <resource>
        <directory>src/main/resources</directory>
        <filtering>true</filtering>
      </resource>
    </resources>
    <plugins>
      <!-- copy swagger-json files so that REST-Service can be generated-->
      <!--
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-dependency-plugin</artifactId>
        <executions>
          <execution>
            <id>copy-dependencies</id>
            <phase>initialize</phase>
            <goals>
              <goal>copy-dependencies</goal>
            </goals>
            <configuration>
              <outputDirectory>${project.build.directory}/api/</outputDirectory>
              <includeTypes>yaml</includeTypes>
              <stripVersion>true</stripVersion>
            </configuration>
          </execution>
        </executions>
      </plugin>
      -->

      <!-- Generate the REST-Service Client -->
      <!--
      <plugin>
        <groupId>io.swagger</groupId>
        <artifactId>swagger-codegen-maven-plugin</artifactId>
        <version>2.4.0</version>
        <executions>
          <execution>
            <id>demo-server-service</id>
            <goals>
              <goal>generate</goal>
            </goals>
            <configuration>
              <inputSpec>${project.build.directory}/api/api-public.yaml</inputSpec>
              <language>java</language>
              <output>${basedir}/target/generated-sources</output>
              <removeOperationIdPrefix>true</removeOperationIdPrefix>
              <configOptions>
                <generateApis>false</generateApis>
                <generateApiDocumentation>false</generateApiDocumentation>
                <generateApiTests>false</generateApiTests>
                <generateModelDocumentation>false</generateModelDocumentation>
                <generateModelTests>false</generateModelTests>
                <generateSupportingFiles>false</generateSupportingFiles>
                <sourceFolder>java</sourceFolder>
                <apiPackage>com.configseeder.client.restclient.api</apiPackage>
                <modelPackage>com.configseeder.client.restclient.model</modelPackage>
                <dateLibrary>java8-localdatetime</dateLibrary>
                <java8>true</java8>
              </configOptions>
              <library>retrofit2</library>
            </configuration>
          </execution>
        </executions>
      </plugin>
      -->
    </plugins>
  </build>

</project>
